com.holonplatform.vaadin.components.builders

## Interface SelectItemDataSourceBuilder<T,C extends Input<T>,S,ITEM,B extends SelectItemDataSourceBuilder<T,C,S,ITEM,B>>

- Type Parameters:
    `T` - Field type
    `C` - Field component type
    `S` - Selection type
    `ITEM` - Selection items type
    `B` - Concrete builder type
  All Superinterfaces:
    BaseSelectInputBuilder<T,C,S,ITEM,B>, ComponentConfigurator<B>, InputBuilder<T,C,B>, InputConfigurator<T,B>, SelectInputBuilder<T,C,S,ITEM,B>
  All Known Subinterfaces:
    BaseSelectModeMultiSelectInputBuilder<T,B>, BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder<T,B>, BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.OptionsModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>, MultiSelectInputBuilder<T,B>, MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>, SingleSelectInputBuilder<T,B>, SingleSelectInputBuilder.GenericSingleSelectInputBuilder<T>

      public interface SelectItemDataSourceBuilder<T,C extends Input<T>,S,ITEM,B extends SelectItemDataSourceBuilder<T,C,S,ITEM,B>>
      extends SelectInputBuilder<T,C,S,ITEM,B>

  Select component builder with `ItemDataSource` support.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `dataSource(com.vaadin.data.provider.DataProvider<ITEM,?> dataProvider)` Set the selection items data provider.
    `B` | `dataSource(ItemDataProvider<ITEM> dataProvider)` Set the selection items data provider.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### dataSource

          B dataSource(ItemDataProvider<ITEM> dataProvider)

      Set the selection items data provider.
      Parameters:
        `dataProvider` - Items data provider (not null)
      Returns:
        this

    - #### dataSource

          B dataSource(com.vaadin.data.provider.DataProvider<ITEM,?> dataProvider)

      Set the selection items data provider.
      Parameters:
        `dataProvider` - Items data provider (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.